mod font;

use std::{fs::File, io::Result};

use clap::Parser;
use font::Font;

#[derive(Parser, Debug)]
#[command(version, about, long_about = None)]
struct Args {
    file: String
}

fn main() -> Result<()> {
    let args = Args::parse();
    let font = Font::new(File::open(args.file)?);
    let Ok(font) = font else {
        panic!("{}", font.unwrap_err().to_string());
    };

    dbg!(font);

    Ok(())
}
